package example.org.seasar.framework.container.creator;

import org.seasar.framework.container.ComponentCustomizer;
import org.seasar.framework.container.creator.ComponentCreatorImpl;
import org.seasar.framework.container.deployer.InstanceDefFactory;

import example.org.seasar.framework.convention.ExampleNamingConvention;

public class ManagerCreator extends ComponentCreatorImpl {

    public ManagerCreator(ExampleNamingConvention namingConvention) {
        super(namingConvention);
        setNameSuffix(namingConvention.getManagerSuffix());
        setInstanceDef(InstanceDefFactory.PROTOTYPE);
    }

    public ComponentCustomizer getManagerCustomizer() {
        return getCustomizer();
    }

    public void setManagerCustomizer(ComponentCustomizer customizer) {
        setCustomizer(customizer);
    }

}
